Package org.eclipse.birt.chart.script.api.data

# Interface ISeriesGrouping

public interface ISeriesGrouping
Represents the grouping for series in the scripting environment.

See Also:
  - `SeriesGrouping`

## Method Summary

Modifier and Type
Method
Description
`double`
`getGroupInterval()`
Gets the interval value between two groups.
`String`
`getGroupType()`
Gets the type of group.
`String`
`getGroupUnit()`
Gets the unit of group.
`boolean`
`isEnabled()`
Checks if grouping is enabled
`void`
`setEnabled(boolean value)`
Sets if grouping is enabled
`void`
`setGroupInterval(double value)`
Sets the interval value between two groups.
`void`
`setGroupType(String type)`
Sets the type of group.
`void`
`setGroupUnit(String unit)`
Sets the unit of group.

## Method Details

### isEnabled

boolean isEnabled()
Checks if grouping is enabled

Returns:
  enable state

### setEnabled

void setEnabled(boolean value)
Sets if grouping is enabled

Parameters:
  `value` - enable state

### getGroupInterval

double getGroupInterval()
Gets the interval value between two groups.

Returns:
  group interval

### setGroupInterval

void setGroupInterval(double value)
Sets the interval value between two groups.

Parameters:
  `value` - group interval

### getGroupType

String getGroupType()
Gets the type of group. Return values are an enumeration including "Numeric", "DateTime" and "Text". Default value is "Numeric".

Returns:
  group type
See Also:
  - `DataType`

### setGroupType

void setGroupType(String type)
Sets the type of group. Group types are an enumeration including "Numeric", "DateTime" and "Text". Default value is "Numeric". If group types are invalid, will set the default value.

Parameters:
  `type` - group type
See Also:
  - `DataType`

### getGroupUnit

String getGroupUnit()
Gets the unit of group. Return values are an enumeration including "Seconds", "Minutes", "Hours", "Days", "Weeks", "Months" and "Years". Default value is "Seconds".

Returns:
  group unit
See Also:
  - `GroupingUnitType`

### setGroupUnit

void setGroupUnit(String unit)
Sets the unit of group. Group units are an enumeration including "Seconds", "Minutes", "Hours", "Days", "Weeks", "Months" and "Years". Default value is "Seconds". If group units are invalid, will set the default value.

Parameters:
  `unit` - group unit
See Also:
  - `GroupingUnitType`